"""Added fail reason for InstanceModel

Revision ID: 9eea6af28e10
Revises: 29c08c6a8cb3
Create Date: 2024-02-19 11:39:30.572999

"""

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "9eea6af28e10"
down_revision = "29c08c6a8cb3"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("instances", schema=None) as batch_op:
        batch_op.add_column(
            sa.Column("fail_count", sa.Integer(), server_default=sa.text("0"), nullable=False)
        )
        batch_op.add_column(sa.Column("fail_reason", sa.String(length=4000), nullable=True))

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("instances", schema=None) as batch_op:
        batch_op.drop_column("fail_reason")
        batch_op.drop_column("fail_count")

    # ### end Alembic commands ###
